Loading...
Searching...
No Matches
wayland::server::zwp_tablet_pad_strip_v2_t Class Reference

pad strip More...

`#include <wayland-server-protocol-unstable.hpp>`

Inherits wayland::server::resource_t.

## Public Member Functions

std::function< void(std::string, uint32_t)> & | on_set_feedback ()
| set compositor feedback
std::function< void()> & | on_destroy ()
| destroy the strip object
void | source (zwp_tablet_pad_strip_v2_source const &source, bool post=true)
| strip event source
void | position (uint32_t position, bool post=true)
| position changed
void | stop (bool post=true)
| interaction stopped
void | frame (uint32_t time, bool post=true)
| end of a strip event sequence
bool | proxy_has_object () const
| Check whether this wrapper actually wraps an object.
void | post_no_memory () const
uint32_t | get_id () const
client_t | get_client () const
unsigned int | get_version () const
std::string | get_class ()

## Static Public Attributes

static constexpr std::uint32_t | source_since_version = 1
| Minimum protocol version required for the source function.
static constexpr std::uint32_t | position_since_version = 1
| Minimum protocol version required for the position function.
static constexpr std::uint32_t | stop_since_version = 1
| Minimum protocol version required for the stop function.
static constexpr std::uint32_t | frame_since_version = 1
| Minimum protocol version required for the frame function.

## Detailed Description

pad strip

A linear interaction area, such as the strips found in Wacom Cintiq models.

Events on a strip are logically grouped by the wl_tablet_pad_strip.frame event.

Definition at line 5805 of file wayland-server-protocol-unstable.hpp.

## Member Function Documentation

## frame()

void zwp_tablet_pad_strip_v2_t::frame | ( | uint32_t | time,
|  | bool | post = `true`
| ) |  |

end of a strip event sequence

Parameters

  time | timestamp with millisecond granularity

Indicates the end of a set of events that represent one logical hardware strip event. A client is expected to accumulate the data in all events within the frame before proceeding.

All wp_tablet_pad_strip events before a wp_tablet_pad_strip.frame event belong logically together. For example, on termination of a finger interaction on a strip the compositor will send a wp_tablet_pad_strip.source event, a wp_tablet_pad_strip.stop event and a wp_tablet_pad_strip.frame event.

A wp_tablet_pad_strip.frame event is sent for every logical event group, even if the group only contains a single wp_tablet_pad_strip event. Specifically, a client may get a sequence: position, frame, position, frame, etc.

Definition at line 6793 of file wayland-server-protocol-unstable.cpp.

## get_class()

std::string wayland::server::resource_t::get_class | ( |  | ) |

inherited

Retrieve the interface name (class) of a resource object.

Returns
  Interface name of the resource object.

## get_client()

client_t wayland::server::resource_t::get_client | ( |  | ) | const

inherited

Get the associated client

Returns
  the client that owns the resource.

## get_id()

uint32_t wayland::server::resource_t::get_id | ( |  | ) | const

inherited

Get the internal ID of the resource

Returns
  the internal ID of the resource

## get_version()

unsigned int wayland::server::resource_t::get_version | ( |  | ) | const

inherited

Get interface version

Returns
  Interface version this resource has been constructed with.

## on_destroy()

std::function< void()> & zwp_tablet_pad_strip_v2_t::on_destroy | ( |  | ) |

destroy the strip object

This destroys the client's resource for this strip object.

Definition at line 6772 of file wayland-server-protocol-unstable.cpp.

## on_set_feedback()

std::function< void(std::string, uint32_t)> & zwp_tablet_pad_strip_v2_t::on_set_feedback | ( |  | ) |

set compositor feedback

Parameters

  description | strip description
  serial | serial of the mode switch event

Requests the compositor to use the provided feedback string associated with this strip. This request should be issued immediately after a wp_tablet_pad_group.mode_switch event from the corresponding group is received, or whenever the strip is mapped to a different action. See wp_tablet_pad_group.mode_switch for more details.

Clients are encouraged to provide context-aware descriptions for the actions associated with the strip, and compositors may use this information to offer visual feedback about the button layout (eg. on-screen displays).

The provided string 'description' is a UTF-8 encoded string to be associated with this ring, and is considered user-visible; general internationalization rules apply.

The serial argument will be that of the last wp_tablet_pad_group.mode_switch event received for the group of this strip. Requests providing other serials than the most recent one will be ignored.

Definition at line 6766 of file wayland-server-protocol-unstable.cpp.

## position()

void zwp_tablet_pad_strip_v2_t::position | ( | uint32_t | position,
|  | bool | post = `true`
| ) |  |

position changed

Parameters

  position | the current position

Sent whenever the position on a strip changes.

The position is normalized to a range of [0, 65535], the 0-value represents the top-most and/or left-most position of the strip in the pad's current rotation.

Definition at line 6783 of file wayland-server-protocol-unstable.cpp.

## post_no_memory()

void wayland::server::resource_t::post_no_memory | ( |  | ) | const

inherited

Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

## proxy_has_object()

bool wayland::server::resource_t::proxy_has_object | ( |  | ) | const

inherited

Check whether this wrapper actually wraps an object.

Returns
  true if there is an underlying object, false if this wrapper is empty

## source()

void zwp_tablet_pad_strip_v2_t::source | ( | zwp_tablet_pad_strip_v2_source const & | source,
|  | bool | post = `true`
| ) |  |

strip event source

Parameters

  source | the event source

Source information for strip events.

This event does not occur on its own. It is sent before a wp_tablet_pad_strip.frame event and carries the source information for all events within that frame.

The source specifies how this event was generated. If the source is wp_tablet_pad_strip.source.finger, a wp_tablet_pad_strip.stop event will be sent when the user lifts their finger off the device.

This event is optional. If the source is unknown for an interaction, no event is sent.

Definition at line 6778 of file wayland-server-protocol-unstable.cpp.

## stop()

void zwp_tablet_pad_strip_v2_t::stop | ( | bool | post = `true` | ) |

interaction stopped

Stop notification for strip events.

For some wp_tablet_pad_strip.source types, a wp_tablet_pad_strip.stop event is sent to notify a client that the interaction with the strip has terminated. This enables the client to implement kinetic scrolling. See the wp_tablet_pad_strip.source documentation for information on when this event may be generated.

Any wp_tablet_pad_strip.position events with the same source after this event should be considered as the start of a new interaction.

Definition at line 6788 of file wayland-server-protocol-unstable.cpp.

## Member Data Documentation

## frame_since_version

constexpr std::uint32_t wayland::server::zwp_tablet_pad_strip_v2_t::frame_since_version = 1

static constexpr

Minimum protocol version required for the frame function.

Definition at line 5948 of file wayland-server-protocol-unstable.hpp.

## position_since_version

constexpr std::uint32_t wayland::server::zwp_tablet_pad_strip_v2_t::position_since_version = 1

static constexpr

Minimum protocol version required for the position function.

Definition at line 5903 of file wayland-server-protocol-unstable.hpp.

## source_since_version

constexpr std::uint32_t wayland::server::zwp_tablet_pad_strip_v2_t::source_since_version = 1

static constexpr

Minimum protocol version required for the source function.

Definition at line 5887 of file wayland-server-protocol-unstable.hpp.

## stop_since_version

constexpr std::uint32_t wayland::server::zwp_tablet_pad_strip_v2_t::stop_since_version = 1

static constexpr

Minimum protocol version required for the stop function.

Definition at line 5923 of file wayland-server-protocol-unstable.hpp.

The documentation for this class was generated from the following files:

- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.hpp
- obj-x86_64-linux-gnu/wayland-server-protocol-unstable.cpp